/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", "functions_rela" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"DeltaCandidates_8cc_source.html",
"Json_8h.html#a3a48beb5d185880689c2b9bb10f57741",
"MediaSetAccess_8cc_source.html",
"ProblemSolution_8cc.html",
"Repository_8h.html",
"SetRelationMixin_8h.html#ac101b277e660dbc806b98b32f828d3a3",
"TestcaseSetup_8cc.html",
"base_2IOStream_8h.html",
"classzypp_1_1ByteCount.html#a6db698562bdf4a3baadbc8a18cc3dbaf",
"classzypp_1_1CheckSum.html#a82b097c57c3682e29851440cb46b0260",
"classzypp_1_1Digest.html#a3b33c3f78fe2f8d4b9d16fa294ee7097",
"classzypp_1_1Fetcher_1_1Impl.html#af53cdcbc308ef43fcf55263e7ca6ace8",
"classzypp_1_1IdStringType.html#af7f4ac5865481c3c50221f16fc139a52",
"classzypp_1_1Match.html#a2478b8cbfdb6280c1b6b715ffdb51425",
"classzypp_1_1Patch.html#abf0581603b307c5b49af6948dbc8fd00",
"classzypp_1_1PoolQuery.html#a149a8f77e677ae3cb88fed50509b61b1",
"classzypp_1_1ProvideFilePolicy.html#aa0c4abdd2d4c0f158ef774249e913152",
"classzypp_1_1RepoStatus.html#ae34c1bdb2729555af72ec0fb3fc20acb",
"classzypp_1_1ResPool_1_1EstablishedStates.html#a02c3e80599695d2de806226d70d13ea7",
"classzypp_1_1Resolver.html#acd95b8f19dba3c911b81fe7d757afe1b",
"classzypp_1_1Url.html#a10ee83f8104d24736944745dc86206bf",
"classzypp_1_1ZConfig_1_1Impl.html#a00e1cf0f28459fa3d1d0ce65be519951",
"classzypp_1_1base_1_1DrunkenBishop_1_1Impl.html#a4adb1f523397ff8d6aed72a0fed8df79",
"classzypp_1_1detail_1_1PoolQueryIterator.html#a761819a7f5bcc2eb8dde6e77888c2e19",
"classzypp_1_1filesystem_1_1Pathname.html#a75cf2c78ab01bc00990aa6a2a56df4cf",
"classzypp_1_1media_1_1CredentialManager.html#a0c7b7c042bf15e531067048da305eb89",
"classzypp_1_1media_1_1MediaFileNotFoundException.html#a73996c612b1f26c389ca75487474548a",
"classzypp_1_1media_1_1MediaNotAFileException.html#ab378de241fc34454c707c206ed41a636",
"classzypp_1_1media_1_1TransferSettings_1_1Impl.html#a6196c053ce861141a0c82d4904cbe43e",
"classzypp_1_1parser_1_1IniDict.html#afb647a8b9ebe0fc9ec79b2b68eabf9df",
"classzypp_1_1repo_1_1PackageProviderImpl.html#aef496a397aa369fa04258633604c09b4",
"classzypp_1_1sat_1_1FileConflicts.html#ad0111a4ec5b108a9df8a633a2721afaa",
"classzypp_1_1sat_1_1Queue.html#a21645bdc4e38ebee4fa7994974f3869f",
"classzypp_1_1sat_1_1Solvable.html#aecc1384af74857238393248798dc9640",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#aa40c61e2e5635fc8c7d13291bd608417",
"classzypp_1_1syscontent_1_1Writer.html#a6948e6b1223aeb665355f15368bfa6fe",
"classzypp_1_1target_1_1rpm_1_1BinHeader.html#a378669277cfe12787c96ac32f65bb133",
"classzypp_1_1target_1_1rpm_1_1librpmDb.html#aa419f259c2b719333e062c17908063e4",
"classzypp_1_1url_1_1UrlBase.html#ab015885bee453151a496ef24f13c79c2",
"classzypp__private_1_1repo_1_1PluginRepoverification.html#a0603be6d41df9d0c018ec58017ffbc07",
"classzyppng_1_1HeaderValueMap.html#a72fd0576f7c02ecb857da4346f31015c",
"classzyppng_1_1Provide.html#a20378d9720b0777587e31432fa9ca552",
"classzyppng_1_1ProvidePrivate.html#ac9c0709b213fec45f31d6bfba46ee32a",
"core_2CheckSum_8cc_source.html",
"core_2base_2String_8h.html#a4c687a570239a37b9ef0942f74ddc8d4",
"credentialfilereader_8h.html",
"functions_type_i.html",
"group__ZYPP__SMART__PTR.html#ga9ffc8a01367e8a71d551ea8dbdc356f2",
"namespacemembers_f.html",
"plugin-commit.html",
"solver_2detail_2Resolver_8h.html",
"structzypp_1_1DefaultOption.html#ab51a8fd58476915d8bd0741f551fa0aa",
"structzypp_1_1KeyRing_1_1Impl.html#a0f224870f746edf8b5c13030eac2c249",
"structzypp_1_1PublicKeyData_1_1Impl.html#a18f5222242d973ee319d6e2ba23bf01a",
"structzypp_1_1RepoManager.html#a4a4580e0632e343c976af249f5bed19f",
"structzypp_1_1ServiceInfo_1_1RepoState.html#a1244f2b5a472ca2a7bcd8c0f385f0e46",
"structzypp_1_1callback_1_1ReportBase.html#a03fb9c8265aaaab2509b394034177bd6",
"structzypp_1_1media_1_1CredManagerOptions.html#a15f1a2524bd0271ea05151ab7b8b1559",
"structzypp_1_1parser_1_1susetags_1_1ContentFileReader_1_1Impl.html#ac7febe4e5c986fcdd196e427b960169a",
"structzypp_1_1rw__pointer_1_1Shared.html#a650a26569e5d3a469da6b052c7b21378",
"structzypp_1_1target_1_1PatchScriptReport.html#ac121e416353e9db22ffd568990e84c65",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#af583cee519a400aa6c51df9e63b9a906",
"structzyppng_1_1DlMetalinkState.html#a3f0df4708a5192a98d5afee77b49e195",
"structzyppng_1_1worker_1_1AttachError.html#af04627e3b759e105b191314ad084eef4"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';